Bug 21145 - Kernel compile gives error?
Summary: Kernel compile gives error?
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernelcfg   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 22:18 UTC by Orion7stars
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 21:14:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion7stars 2000-11-20 22:18:11 UTC
When I try to compile/(install) my newly made kernel it stops.
Gives errors!

Is there an update for this problem?

Fill in Form(A chose 7.0 but what does 7.0 J mean?? 
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Red%20Hat%
20Linux)

I'll try to email the spesifics soon.

Graham

p.s. I know someone how has the same problem! 
So that's Two.

Comment 1 oolong 2000-11-22 20:15:54 UTC
I believe that J means Japan. 

I'm having compile problems with RH 7.0, any kernel (tried 2.2.14-05,2.2.16, and 2.2.17; same errors), on any hardware.
I'm getting "Pasting would not give a valid preprocessing token" in floppy.c, cdrom.c, tcp.c, tcp_input.c, and tcp_ipv4.c
during the compile. It will continue until it tries "cc -D__KERNEL__ -I/usr/src/linux/include -D__ASSEMBLY__ -traditional -c
checksum.S -o checksum.o" at which point it give the error "badly punctuated parameter list in #define" and stops. I have
upgraded all libraries to glibc-2.2-5.

Comment 2 Need Real Name 2000-11-22 21:14:35 UTC
make that 4 people...

Comment 3 Bill Nottingham 2000-11-24 05:41:14 UTC
Use kgcc, not gcc. This will eliminate the error with checksum.o
(it's actually a problem with the kernel source.)

Comment 4 oolong 2000-11-27 14:32:27 UTC
Where does one get kgcc?


Note You need to log in before you can comment on or make changes to this bug.